Bug 467267 - video playback choppy with totem while pitivi playback of same video is smooth
video playback choppy with totem while pitivi playback of same video is smooth
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-16 12:04 EDT by Thomas J. Baker
Modified: 2012-08-16 17:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sysprof Playbin2 (1.49 MB, application/octet-stream)
2010-12-08 14:18 EST, Andreas Tunek
no flags Details
Sysprof Totem (605.21 KB, application/octet-stream)
2010-12-08 14:20 EST, Andreas Tunek
no flags Details

  None (edit)
Description Thomas J. Baker 2008-10-16 12:04:45 EDT
I've got these two 5 second videos from here:

http://www.dpreview.com/previews/canoneos5dmarkII/page15.asp

I don't know if I can legally include them in this bug (or if you'd want me to) so I'll just provide the link to them.

On my 2.33GHz Core 2 Duo when I play them with totem, they're choppy. Both videos play like a series of stills the first time through and then play smooth for the first 1.5 seconds or so but then turn to a slideshow subsequent times through.

When I play them with pitivi, they seem to play perfectly.
Comment 1 Matthias Clasen 2008-10-25 17:04:25 EDT
Bastien, any insight in this ? 
Hardly a blocker bug, though.
Comment 2 Bug Zapper 2008-11-25 22:55:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bastien Nocera 2009-10-05 07:43:40 EDT
Those should now play fine using Totem in Fedora 12 which uses playbin2 (and thus decodebin2).
Comment 4 Bug Zapper 2009-11-16 04:30:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:45:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andreas Tunek 2010-11-21 05:34:07 EST
I still get the same problems in F14, although with a playbin2 pipeline instead of Pitivi.

Please put this to F14.
Comment 7 Bug Zapper 2010-12-05 02:07:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Andreas Tunek 2010-12-06 16:39:06 EST
How do you reopen the bug?
Comment 9 Siddhesh Poyarekar 2010-12-07 11:53:57 EST
Reopening and moving over to F-14 based on comment 6 .
Comment 10 François Cami 2010-12-07 14:57:03 EST
Andreas,

Could you confirm you're still encountering that on F14?

Could you use sysprof while using a program that works, and another that does not? Please attach the resulting logs, and also /var/log/dmesg and /var/log/Xorg.0.log as independent text/plain attachments to that bug.
We could have a video driver problem, or an application-side problem or even misconfiguration here.

Thank you

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Andreas Tunek 2010-12-08 14:18:51 EST
Created attachment 467551 [details]
Sysprof Playbin2
Comment 12 Andreas Tunek 2010-12-08 14:20:03 EST
Created attachment 467552 [details]
Sysprof Totem
Comment 13 Andreas Tunek 2010-12-08 14:23:00 EST
Great difference between a playing the file with a gst-launch playbin2 pipeline and playing it in totem. Playbin 2 is way better.
Comment 14 François Cami 2010-12-08 14:50:07 EST
Andreas, could you boot with drm.debug=1 and attach /var/log/dmesg and /var/log/Xorg.0.log? That may help refine the problem further. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Fedora End Of Life 2012-08-16 17:38:16 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.